class NewGameScores::CollectionScraper 

  attr_accessor :name, :title, :game_url, :metascore, :userscore, :url, :score

  @@collection = []

  def initialize(url = nil, score = nil)
    @url = url 
    @score = score
  end

  def self.collection
    @@collection 
  end 

  def clear
    @@collection.clear
  end

  def scrape_list
   game_list = Nokogiri::HTML(open(self.url, ssl_verify_mode: OpenSSL::SSL::VERIFY_NONE,  'User-Agent' => 'safari'))

    game_list.css("ol.list_products li.game_product").each do |game|
      
      @@collection << {
        :title => game.css("div.product_title a").text.strip,
        :metascore => game.css("div.metascore_w").text,
        :userscore => game.css("li.product_avguserscore span.textscore").text,
        :release_date => game.css("li.release_date span.data").text, 
        :game_url => 'http://www.metacritic.com/' +game.css("div.product_title a").attribute("href").text
      }
    end
  end

  def display_list
    @@collection.each_with_index do |game, i|
      game.each do |key, value|
        if key = :metasocre && value.to_i >= @score.to_i
          puts "  \n#{i+1}. #{game[:title]} \n \n     Metascore: #{game[:metascore]} \n     Userscore: #{game[:userscore]} \n     Release Date: #{game[:release_date]}\n     Game Link: #{game[:game_url]}\n \n"
        end
      end 
    end
  end

end
























